<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="64dp">

    <androidx.constraintlayout.widget.Guideline
        android:id="@+id/v_start"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        app:layout_constraintGuide_begin="16dp" />

    <androidx.constraintlayout.widget.Guideline
        android:id="@+id/v_end"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        app:layout_constraintGuide_end="16dp" />

    <com.adealink.weparty.commonui.ripple.RippleView
        android:id="@+id/v_online"
        style="@style/CommonOnlineRipple"
        android:layout_width="54dp"
        android:layout_height="54dp"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="@id/iv_avatar"
        app:layout_constraintEnd_toEndOf="@id/iv_avatar"
        app:layout_constraintStart_toStartOf="@id/iv_avatar"
        app:layout_constraintTop_toTopOf="@id/iv_avatar"
        app:ripple_circle_min_radius="23dp"
        tools:visibility="visible" />

    <com.adealink.weparty.commonui.imageview.AvatarView
        android:id="@+id/iv_avatar"
        android:layout_width="46dp"
        android:layout_height="46dp"
        app:roundingBorderWidth="1dp"
        app:roundingBorderColor="@color/white"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="@id/v_start"
        app:layout_constraintTop_toTopOf="parent" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_title"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="10dp"
        android:ellipsize="end"
        android:fontFamily="@font/poppins_semibold"
        android:includeFontPadding="false"
        android:singleLine="true"
        android:textColor="@color/color_FF1D2129"
        android:textSize="12sp"
        app:layout_constrainedWidth="true"
        app:layout_constraintBottom_toTopOf="@id/tv_desc"
        app:layout_constraintEnd_toStartOf="@id/barrier_right"
        app:layout_constraintHorizontal_bias="0"
        app:layout_constraintStart_toEndOf="@id/iv_avatar"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_chainStyle="packed"
        tools:text="UserName, Super Beautiful Girl" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_desc"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="10dp"
        android:layout_marginTop="5dp"
        android:ellipsize="end"
        android:includeFontPadding="false"
        android:singleLine="true"
        android:textColor="@color/color_FF86909C"
        android:textSize="12sp"
        app:layout_constrainedWidth="true"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toStartOf="@id/barrier_right"
        app:layout_constraintHorizontal_bias="0"
        app:layout_constraintStart_toEndOf="@id/iv_avatar"
        app:layout_constraintTop_toBottomOf="@id/tv_title"
        tools:text="asd;fjakls;djf;laskjdf;lasjdf;asdf;asdjkfkasdfasdfasdfasdfasdfasdf" />

    <androidx.constraintlayout.widget.Barrier
        android:id="@+id/barrier_right"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:barrierDirection="start"
        app:constraint_referenced_ids="tv_time, v_dot" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_time"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:includeFontPadding="false"
        android:singleLine="true"
        android:textColor="@color/color_FF86909C"
        android:textSize="12sp"
        app:layout_constraintBottom_toBottomOf="@id/tv_title"
        app:layout_constraintEnd_toEndOf="@id/v_end"
        app:layout_constraintTop_toTopOf="@id/tv_title"
        tools:text="Now" />

    <com.adealink.frame.dot.DotView
        android:id="@+id/v_dot"
        style="@style/CommonRedDot"
        app:layout_constraintBottom_toBottomOf="@id/tv_desc"
        app:layout_constraintEnd_toEndOf="@id/v_end"
        app:layout_constraintTop_toTopOf="@id/tv_desc"
        tools:text="Now" />

</androidx.constraintlayout.widget.ConstraintLayout>